/*
 * persist.h
 * Turn Nodes and Edges into an xml/rdf graph.
 * Longer-term, this'll become the interface to persistence for the daemon.
 *
 * Copyright (C) Leni Mayo 2002
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _PERSIST_H_
#define _PERSIST_H_

#include "common.h"
#include "node.h"
#include "edge.h"

void print_as_xml_rdf_graph(FILE *fp, Nodes *pNodes, Edges *pEdges,
		const char *pszGraphId, const char *pszFileAdd);

#endif /* _PERSIST_H_ */
